Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse
[Groovy] Class GenerateEclipseWtpComponent

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.plugins.ide.api.GeneratorTask
              org.gradle.plugins.ide.api.XmlGeneratorTask
                  org.gradle.plugins.ide.eclipse.GenerateEclipseWtpComponent

    class GenerateEclipseWtpComponent
    extends XmlGeneratorTask

Generates the org.eclipse.wst.common.component settings file for Eclipse WTP. If you want to fine tune the eclipse configuration

At this moment nearly all configuration is done via EclipseWtpComponent.

Field Summary

Fields inherited from class GeneratorTask
afterConfigured, beforeConfigured, domainObject, generator

Property Summary
`EclipseWtpComponent` | `component`

Constructor Summary
`GenerateEclipseWtpComponent()`

Method Summary
`protected void` | `configure(WtpComponent xmlComponent)`
`protected WtpComponent` | `create()`
`String` | `getContextPath()` Deprecated.
`String` | `getDeployName()` Deprecated.
`Set` | `getMinusConfigurations()` Deprecated.
`Set` | `getPlusConfigurations()` Deprecated.
`List` | `getProperties()` Deprecated.
`List` | `getResources()` Deprecated.
`Set` | `getSourceDirs()` Deprecated.
`Map` | `getVariables()` Deprecated.
`void` | `property(Map args)` Deprecated.
`void` | `resource(Map args)` Deprecated.
`void` | `setContextPath(String contextPath)`
`void` | `setDeployName(String deployName)`
`void` | `setMinusConfigurations(Set minusConfigurations)`
`void` | `setPlusConfigurations(Set plusConfigurations)`
`void` | `setProperties(List properties)`
`void` | `setResources(List resources)`
`void` | `setSourceDirs(Set sourceDirs)`
`void` | `setVariables(Map variables)`
`void` | `variables(Map variables)` Deprecated.

Methods inherited from class XmlGeneratorTask
configure, create, getXmlTransformer

Methods inherited from class GeneratorTask
getInputFile, getOutputFile, setInputFile, setOutputFile

Property Detail

### component

    EclipseWtpComponent component

Constructor Detail

### GenerateEclipseWtpComponent

    GenerateEclipseWtpComponent()

Method Detail

### configure

    @Override
    protected void configure(WtpComponent xmlComponent)

### create

    @Override
    protected WtpComponent create()

### getContextPath

    String getContextPath()

  Deprecated. Please use #eclipse.wtp.component.contextPath. See examples in EclipseWtpComponent.

  The context path for the web application

### getDeployName

    String getDeployName()

  Deprecated. Please use #eclipse.wtp.component.deployName. See examples in EclipseWtpComponent.

  The deploy name to be used.

### getMinusConfigurations

    Set getMinusConfigurations()

  Deprecated. Please use #eclipse.wtp.component.minusConfigurations. See examples in EclipseWtpComponent.

  The configurations whose files are to be excluded from dependent-module elements.

### getPlusConfigurations

    Set getPlusConfigurations()

  Deprecated. Please use #eclipse.wtp.component.plusConfigurations. See examples in EclipseWtpComponent.

### getProperties

    List getProperties()

  Deprecated. Please use #eclipse.wtp.component.properties. See examples in EclipseWtpComponent.

  Additional property elements.

### getResources

    List getResources()

  Deprecated. Please use #eclipse.wtp.component.resources. See examples in EclipseWtpComponent.

  Additional wb-resource elements.

### getSourceDirs

    Set getSourceDirs()

  Deprecated. Please use #eclipse.wtp.component.sourceDirs. See examples in EclipseWtpComponent.

  The source directories to be transformed into wb-resource elements.

### getVariables

    Map getVariables()

  Deprecated. Please use #eclipse.pathVariables. See examples in EclipseWtpComponent.

  The variables to be used for replacing absolute path in dependent-module elements.

### property

    void property(Map args)

  Deprecated. Please use #eclipse.wtp.component.property. See examples in EclipseWtpComponent.

  Adds a property.

  Parameters:
    `args` - A map that must contain a name and value key with corresponding values.

### resource

    void resource(Map args)

  Deprecated. Please use #eclipse.wtp.component.resource. See examples in EclipseWtpComponent.

  Adds a wb-resource.

  Parameters:
    `args` - A map that must contain a deployPath and sourcePath key with corresponding values.

### setContextPath

    void setContextPath(String contextPath)

### setDeployName

    void setDeployName(String deployName)

### setMinusConfigurations

    void setMinusConfigurations(Set minusConfigurations)

### setPlusConfigurations

    void setPlusConfigurations(Set plusConfigurations)

### setProperties

    void setProperties(List properties)

### setResources

    void setResources(List resources)

### setSourceDirs

    void setSourceDirs(Set sourceDirs)

### setVariables

    void setVariables(Map variables)

### variables

    void variables(Map variables)

  Deprecated. Please use #eclipse.pathVariables. See examples in EclipseWtpComponent.

  Adds variables to be used for replacing absolute path in dependent-module elements.

  Parameters:
    `variables` - A map where the keys are the variable names and the values are the variable values.

Gradle API 1.10